package watki.na_zajeciach;

import watki.na_zajeciach.Konto.BrakSrodkow;

public class Wyplacanie3 {

	public static void main(String[] args) {
		
		Konto konto = new Konto(1, 10_000, "Ala");
		System.out.println("Początek: " + konto);
		
		Thread wplacacz = new Thread(() -> {
			while(true) {
				try {
					Thread.sleep(3000);
				} catch (InterruptedException e) {
				}
				konto.wplata(500);
				System.out.println("wpłacacz wpłacił, saldo = " + konto.getSaldo());
			}
		});

		Thread wyplacacz = new Thread(() -> {
			while(true) {
				try {
					konto.wyplataCzekaj(800);
					System.out.println("wypłacacz wydał 800, saldo = " + konto.getSaldo());
				} catch (BrakSrodkow e) {
					System.err.println(e);
				}
				try {
					Thread.sleep(200);
				} catch (InterruptedException e) {
				}
			}
		});

		System.out.println("Uruchamiam wątki...");
		wplacacz.start();
		wyplacacz.start();
		// w nieskończoność...
	}

}
